package me.nvus.hardcoreessentials.util;

import me.nvus.hardcoreessentials.HardcoreEssentials;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;

import java.io.File;
import java.io.IOException;
import java.util.UUID;
import java.nio.file.Files;

public class PlayerDataUtil {

    public static void deletePlayerData(Player player) {
        UUID uuid = player.getUniqueId();

        // Get configurable prefix
        String prefix = ChatColor.translateAlternateColorCodes('&',
                HardcoreEssentials.getInstance().getConfig().getString("prefix", "&b&lFROSTBITE"));

        // Send messages
        player.sendMessage("");
        player.sendMessage(prefix + ChatColor.RESET + ChatColor.translateAlternateColorCodes('&', ":"));
        player.sendMessage(ChatColor.translateAlternateColorCodes('&', "&3------------------"));
        player.sendMessage(ChatColor.translateAlternateColorCodes('&',
                "&c&lUnfortunately, you have died and all of your &e&lprogression &c&lon the server has been &3&lwiped&c&l!"));
        player.sendMessage("");
        player.sendMessage(ChatColor.translateAlternateColorCodes('&',
                "&c&lIncluding your: &a&lbalance&c&l, &a&lhomes&c&l, &a&lrecipe discoveries&c&l, &a&ladvancements&c&l, etc."));
        player.sendMessage("");

        // Delete data (same logic as before)
        deleteFile(new File(Bukkit.getWorldContainer(), "playerdata/" + uuid + ".dat"));
        deleteFile(new File(Bukkit.getWorldContainer(), "stats/" + uuid + ".json"));

        File advancementsDir = new File(Bukkit.getWorldContainer(), "advancements");
        File[] advancementFiles = advancementsDir.listFiles((dir, name) -> name.startsWith(uuid.toString()));
        if (advancementFiles != null) {
            for (File file : advancementFiles) deleteFile(file);
        }

        File recipeDir = new File(Bukkit.getWorldContainer(), "data/" + Bukkit.getWorlds().get(0).getName() + "/recipes");
        File[] recipeFiles = recipeDir.listFiles((dir, name) -> name.startsWith(uuid.toString()));
        if (recipeFiles != null) {
            for (File file : recipeFiles) deleteFile(file);
        }

        deleteFile(new File(Bukkit.getWorldContainer(), "plugins/Essentials/userdata/" + uuid + ".yml"));

        Bukkit.getServer().dispatchCommand(Bukkit.getConsoleSender(), "minecraft:clear " + player.getName() + " minecraft:*");
    }

    private static void deleteFile(File file) {
        try {
            Files.deleteIfExists(file.toPath());
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
